package Server;

public enum Era {
    I,
    II,
    III,
    FINAL;


    public Era next() {
        Era[] eras = values();
        // Calcola l'indice del prossimo elemento
        int nextOrdinal = this.ordinal() + 1;
        if (nextOrdinal < eras.length) {
            return eras[nextOrdinal];
        }
        return this;
    }
}
